Package icyllis.arc3d.engine

# Class GpuRenderTarget.ResourceKey

java.lang.Object
icyllis.arc3d.engine.GpuRenderTarget.ResourceKey

All Implemented Interfaces:
  `IResourceKey`

Enclosing class:
  `GpuRenderTarget`

public static final class GpuRenderTarget.ResourceKey extends Object implements IResourceKey
Scratch key of `GpuRenderTarget`.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `mColorFlags`
  `int`
  `mColorFormat`
  `int`
  `mDepthStencilFlags`
  `int`
  `mDepthStencilFormat`
  `int`
  `mHeight`
  `int`
  `mResolveFlags`
  `int`
  `mResolveFormat`
  `int`
  `mSurfaceFlags`
  `int`
  `mWidth`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ResourceKey()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `GpuRenderTarget.ResourceKey`
  `compute(int width, int height, BackendFormat colorFormat, int colorSurfaceFlags, BackendFormat resolveFormat, int resolveSurfaceFlags, BackendFormat depthStencilFormat, int depthStencilSurfaceFlags, int sampleCount, int surfaceFlags)`
  Update this key with the given arguments.
  `IResourceKey`
  `copy()`
  `boolean`
  `equals(Object o)`
  `int`
  `hashCode()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface icyllis.arc3d.engine.IResourceKey

  `isShareable`

- ## Field Details

  - ### mWidth

    public int mWidth

  - ### mHeight

    public int mHeight

  - ### mColorFormat

    public int mColorFormat

  - ### mResolveFormat

    public int mResolveFormat

  - ### mDepthStencilFormat

    public int mDepthStencilFormat

  - ### mColorFlags

    public int mColorFlags

  - ### mResolveFlags

    public int mResolveFlags

  - ### mDepthStencilFlags

    public int mDepthStencilFlags

  - ### mSurfaceFlags

    public int mSurfaceFlags

- ## Constructor Details

  - ### ResourceKey

    public ResourceKey()

- ## Method Details

  - ### compute

    @Nonnull public GpuRenderTarget.ResourceKey compute(int width, int height, BackendFormat colorFormat, int colorSurfaceFlags, BackendFormat resolveFormat, int resolveSurfaceFlags, BackendFormat depthStencilFormat, int depthStencilSurfaceFlags, int sampleCount, int surfaceFlags)
    Update this key with the given arguments.
    Returns:
      this

  - ### copy

    public IResourceKey copy()
    Specified by:
      `copy` in interface `IResourceKey`

  - ### hashCode

    public int hashCode()
    Specified by:
      `hashCode` in interface `IResourceKey`
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object o)
    Specified by:
      `equals` in interface `IResourceKey`
    Overrides:
      `equals` in class `Object`